﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr76_3
{
    class Program
    {
        // Метод для отображения одномерного 
        // символьного массива: 
        static void showArray(char[] nums)
        {
            // Перебор элементов массива: 
            for (int k = 0; k < nums.Length; k++)
            {
                // Отображение значения элемента:
                Console.Write("| {0} ", nums[k]);
            }
            Console.WriteLine("|");
        }

        // Метод для создания массива со случайными символами: 
        static char[] rands(int n)
        {
            // Объект для генерирования случайных чисел:
            Random rnd = new Random();
            // Создание массива: 
            char[] symbs = new char[n];
            // Заполнение массива: 
            for (int k = 0; k < symbs.Length; k++)
            {
                // Значение элемента - случайный символ: 
                symbs[k] = (char)('A' + rnd.Next(26));
            }
            // Результат метода - ссылка на массив: 
            return symbs;
        }

        // Метод для обмена значениями массива: 
        static void obmen(ref char[] Mas)
        {
            int kol = Mas.Length;
            char temp;
            for (int i = 0; i < kol / 2; i++)
            {
                temp = Mas[i];
                Mas[i] = Mas[Mas.Length - 1 - i];
                Mas[Mas.Length - 1 - i] = temp;
            }
        }

        static void Main()
        {
            // Переменная для символьного массива:
            char[] B;

            // Создается массив с 4-мя случайными символами: 
            B = rands(4);
            Console.WriteLine("Исходный массив:");
            // Отображение содержимого массива:
            showArray(B);
            obmen(ref B);
            Console.WriteLine("Массив после обмена:");
            // Отображение содержимого массива:
            showArray(B);

            // Создается массив с 3-мя случайными символами: 
            B = rands(3);
            Console.WriteLine("Исходный массив:");
            // Отображение содержимого массива:
            showArray(B);
            obmen(ref B);
            Console.WriteLine("Массив после обмена:");
            // Отображение содержимого массива:
            showArray(B);
            // Задержка:
            Console.ReadLine();
        }
    }
}
